first time i've seen this....

Questions about Update Pack making? Ask here.
Post Reply
syntax01

first time i've seen this....

Post by syntax01 » Thu Apr 14, 2005 8:50 pm

Hi, I want to start by thanking RyanVM for the effort made in keeping this pack updated and put together. I know it can't be easy, especially with all the *fixes* that have been released by M$ that aren't released to the public without specific requests directly to M$ tech support.

I have had no problem using the most recent pack w/nLite. However, I have run into something usiing it that i've never seen before.

When attempting to install the latest version of StyleXP(male or female) on using the current update pack + slipstream SP2 on clean install....it is giving me message that it cannot install because of XP being an unknown version.

To better explain, each build of Windows has a build or version number, i.e. like XP build 2600 which I think was the final non-service pack release of XP. For some reason StyleXp has detected my XP as not being any of the "accepted" builds. The only thing I did was slipstream SP 2 and then add the RyanVM pack. It installs find *no errors*.

I've tried to check out a few different options. i.e. i've made a install of XP SP2 disk with Windows file protection turned on and turned off, and both have the same error with the RyanVM pack. Yes, I tested it with just the slipstream SP2 and no update pack, and I don't get that error then. Anyone else had similar issues to this? know any workarounds for it?

User avatar
RyanVM
Site Admin
Posts: 5190
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Thu Apr 14, 2005 9:01 pm

You're probably better off emailing the developers of StyleXP. I'm betting it checks a file like ntoskrnl.exe to get the file version. But that would cause StyleXP to croak every time MS hotfixed that file (and those files were actually updated this month with the released security updates).
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

IsLNdbOi

Post by IsLNdbOi » Thu Apr 14, 2005 9:12 pm

I get this same error when using my XP Pro. CD with the update pack v1.2.0. StyleXP tells me that it doesn't work with this version of WindowsXP. It doesn't have any problems when using the original XP Pro. CD (the one I used to inculed the 1.2.0 update pack in).

User avatar
RyanVM
Site Admin
Posts: 5190
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Thu Apr 14, 2005 9:14 pm

Can one of you try a fresh install with no update pack? Then, run Windows Update and install all of the critical updates. Then try to install StyleXP. I'll be curious to see if it works or not.
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

IsLNdbOi

Post by IsLNdbOi » Fri Apr 15, 2005 12:12 am

That's what I did. I fresh installed WindowsXP Pro. SP2 (from the authentic / retail CD), downloaded all available updates from Microsoft's Windows Update site. Then I installed the latest version of StyleXP and it worked.

User avatar
RyanVM
Site Admin
Posts: 5190
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Fri Apr 15, 2005 6:49 am

hmmm. Well, I think you have two options. Either use Filemon and/or Regmon (conveniently included in the Full pack now :P) to see what's being queried for the version info or email the developers and ask them how version info is determined. Once you know the answer, report back here and we'll see what can be done about it (though my first impression is still that it's something they need to fix on their end).
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

User avatar
leviathan
Posts: 39
Joined: Tue Dec 14, 2004 5:20 pm
Location: Virginia

Post by leviathan » Fri Apr 22, 2005 6:30 pm

Well, I've been in contact with tech support at TGTsoft and they sent me an e-mail back, finally. StyleXP checks the version of c:\Windows\system32\uxtheme.dll. I'm using an install from an older pack and the uxtheme.dll file version is still 6.0.2900.2180, a supported version by StyleXP. I believe KB319740 releases an updated version of uxtheme.dll at 6.0.2900.2523. This hotfix has an unsupported version, and this hotfix isn't generally available to the public.

I'm going to send the Knowledge Base Article to their tech support and hopefully, they will release an updated version of StyleXP.

Will keep you apprised,
--Leviathan

Edit: I just read my own post back to myself and I appearantly need to spend more time remembering my third grade English skills. Three weeks until this semester is over...
Last edited by leviathan on Sat Apr 23, 2005 2:23 am, edited 1 time in total.
Manual integration is the only right type of integration!

User avatar
RyanVM
Site Admin
Posts: 5190
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Fri Apr 22, 2005 7:14 pm

Nice find! Thanks for the update :)
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

Acheron
Posts: 389
Joined: Thu Nov 25, 2004 4:05 pm
Location: The Netherlands
Contact:

Post by Acheron » Sat Apr 23, 2005 6:03 am

BTW, why do you need StyleXP?

When applying the uxtheme.dll hack by yourself you don't need StyleXP any more to install custom themes :P

User avatar
glent
Posts: 223
Joined: Tue Dec 21, 2004 3:32 pm
Location: UK

Post by glent » Mon Apr 25, 2005 12:37 pm

<del>removed</del>

IsLNdbOi

Post by IsLNdbOi » Mon Apr 25, 2005 4:00 pm

There's a new version of StyleXP, but I don't know if TGTSoft updated it though to be compatible with that hotfix.

http://www.tgtsoft.com/

User avatar
leviathan
Posts: 39
Joined: Tue Dec 14, 2004 5:20 pm
Location: Virginia

Post by leviathan » Mon Apr 25, 2005 7:51 pm

It isn't supported yet. I am working with one of their Tech Support people. I received a beta of a fix they designed for me to test. I'm going to try and figure out if it works. There was some initial problem with it causing the machine not to shut down.

Let you know.

--Leviathan
Manual integration is the only right type of integration!

User avatar
glent
Posts: 223
Joined: Tue Dec 21, 2004 3:32 pm
Location: UK

Post by glent » Tue Apr 26, 2005 4:04 am

Looking forward to the update ;)

User avatar
leviathan
Posts: 39
Joined: Tue Dec 14, 2004 5:20 pm
Location: Virginia

Post by leviathan » Tue Apr 26, 2005 10:17 am

Okay, all work has been finished up. Bryan, the guy from TGTSoft says he will include the updates in the next version of StyleXP. Check out their site today and see if it gets released. It might be a while considering 3.03 was just released yesterday.

But 3.04 will support the new uxtheme.dll.

--Leviathan
Manual integration is the only right type of integration!

User avatar
glent
Posts: 223
Joined: Tue Dec 21, 2004 3:32 pm
Location: UK

Post by glent » Sat Apr 30, 2005 11:39 am

StyleXP 3.04 is out and wrkng fine with ryanvm 1.21 thanks for contacting them leviathan

User avatar
leviathan
Posts: 39
Joined: Tue Dec 14, 2004 5:20 pm
Location: Virginia

Post by leviathan » Sat Apr 30, 2005 8:08 pm

Not a problem. Glad I could be of help.

--Leviathan
Manual integration is the only right type of integration!

Post Reply